(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     12979,        304]
NotebookOptionsPosition[     12405,        278]
NotebookOutlinePosition[     12744,        293]
CellTagsIndexPosition[     12701,        290]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["ECG Plotting", "Title",
 CellChangeTimes->{{3.4762168701737003`*^9, 3.47621688210742*^9}}],

Cell[CellGroupData[{

Cell["Import Data", "Section",
 CellChangeTimes->{{3.4762168857475986`*^9, 3.476216887334408*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Import", "[", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"time", "=", 
   RowBox[{"data", "\[LeftDoubleBracket]", 
    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dipole", "=", 
   RowBox[{"Transpose", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"data", "\[LeftDoubleBracket]", 
       RowBox[{"All", ",", "2"}], "\[RightDoubleBracket]"}], ",", 
      RowBox[{"-", 
       RowBox[{"data", "\[LeftDoubleBracket]", 
        RowBox[{"All", ",", "3"}], "\[RightDoubleBracket]"}]}]}], "}"}], 
    "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.476216888834023*^9, 3.476216923456369*^9}, {
   3.476216987442793*^9, 3.4762170004249897`*^9}, {3.476220455612797*^9, 
   3.476220456374119*^9}, {3.4762900278465652`*^9, 3.4762900281185904`*^9}, {
   3.476298254184602*^9, 3.47629826341889*^9}, 3.47638703128841*^9, {
   3.476387257433854*^9, 3.476387258943406*^9}, 3.476443697873394*^9, {
   3.476445887034893*^9, 3.4764459255100403`*^9}, 3.476445981012966*^9, 
   3.476446014418016*^9, 3.4764467364296207`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Animation", "Section",
 CellChangeTimes->{{3.476217585558731*^9, 3.4762175882302027`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Animate", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Thickness", "[", ".004", "]"}], ",", 
          RowBox[{"Arrow", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0"}], "}"}], ",", 
             RowBox[{
             "dipole", "\[LeftDoubleBracket]", "t", 
              "\[RightDoubleBracket]"}]}], "}"}], "]"}]}], "}"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"\"\<t = \>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{
              "time", "\[LeftDoubleBracket]", "t", "\[RightDoubleBracket]"}], 
              "]"}], "<>", "\"\<\\nx = \>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"dipole", "\[LeftDoubleBracket]", 
               RowBox[{"t", ",", "1"}], "\[RightDoubleBracket]"}], "]"}], 
             "<>", "\"\<\\ny = \>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"-", 
               RowBox[{"dipole", "\[LeftDoubleBracket]", 
                RowBox[{"t", ",", "2"}], "\[RightDoubleBracket]"}]}], "]"}]}],
             ",", 
            RowBox[{"FontFamily", "\[Rule]", "\"\<Courier\>\""}], ",", 
            RowBox[{"TextAlignment", "\[Rule]", "Left"}], ",", "Bold"}], 
           "]"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.4"}], ",", "1.5"}], "}"}]}], "]"}]}], "}"}], 
      "]"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"Axes", "\[Rule]", "True"}], ",", 
     RowBox[{"Prolog", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", ".003", "]"}], ",", "Gray", ",", 
        RowBox[{"Line", "[", 
         RowBox[{"dipole", "\[LeftDoubleBracket]", 
          RowBox[{"1", ";;", "t"}], "\[RightDoubleBracket]"}], "]"}]}], 
       "}"}]}], ",", 
     RowBox[{"Ticks", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{"i", ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"-", "2"}], ",", "2", ",", "1"}], "}"}]}], "]"}], ",", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"-", "i"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"-", "2"}], ",", "2", ",", "1"}], "}"}]}], "]"}]}], 
       "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", "1", ",", "\"\<Time\>\""}], "}"}], ",", "1", ",", 
     RowBox[{"Length", "[", "time", "]"}], ",", "1"}], "}"}], ",", 
   RowBox[{"AnimationRate", " ", "\[Rule]", " ", "20"}], ",", " ", 
   RowBox[{"AnimationRunning", "\[Rule]", "False"}], ",", 
   RowBox[{"AnimationRepetitions", "\[Rule]", "1"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.47621832762816*^9, 3.4762183500464163`*^9}, {
   3.476218481290399*^9, 3.476218517347295*^9}, {3.476218558455092*^9, 
   3.4762186144791327`*^9}, {3.4762186658680153`*^9, 3.476218691796468*^9}, {
   3.4762187445479727`*^9, 3.476218828628976*^9}, {3.476218922589348*^9, 
   3.476218978355*^9}, 3.4762194178044157`*^9, {3.476219456976844*^9, 
   3.47621946427073*^9}, {3.4762195323812637`*^9, 3.476219553469471*^9}, {
   3.476286239133066*^9, 3.476286253722961*^9}, {3.4762863008285522`*^9, 
   3.476286305015601*^9}, {3.476286340053419*^9, 3.4762863489720783`*^9}, {
   3.476286380009549*^9, 3.4762864125403967`*^9}, {3.476286592294692*^9, 
   3.476286664951146*^9}, {3.4762866975245867`*^9, 3.476286697812512*^9}, {
   3.476287192152116*^9, 3.47628725722305*^9}, {3.476287289738433*^9, 
   3.476287382065072*^9}, {3.476287499445611*^9, 3.4762875583565817`*^9}, {
   3.476288055847933*^9, 3.4762880816250763`*^9}, {3.476288122324695*^9, 
   3.476288129789907*^9}, {3.476288216147419*^9, 3.4762882319644957`*^9}, {
   3.476288340715501*^9, 3.476288437125823*^9}, {3.47628847050683*^9, 
   3.4762884760030737`*^9}, {3.4762885183070183`*^9, 3.476288531002924*^9}, {
   3.47628857559558*^9, 3.476288579487193*^9}, {3.47628871484062*^9, 
   3.476288742456752*^9}, {3.476288847816504*^9, 3.4762888485943117`*^9}, {
   3.476288885525056*^9, 3.476288886992846*^9}, {3.476289157309928*^9, 
   3.476289176324597*^9}, {3.476289701074823*^9, 3.476289702089628*^9}, {
   3.476289734037938*^9, 3.4762897340956373`*^9}, {3.476290489280055*^9, 
   3.476290497328813*^9}, {3.476384965135921*^9, 3.476384971876273*^9}, {
   3.476385012061804*^9, 3.4763850624432583`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`t$$ = 83, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`t$$], 1, "Time"}, 1, 83, 1}}, Typeset`size$$ = {
    360., {179., 184.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`t$4694$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`t$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`t$$, $CellContext`t$4694$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Graphics[{{
           Thickness[0.004], 
           Arrow[{{0, 0}, 
             Part[$CellContext`dipole, $CellContext`t$$]}]}, 
          Text[
           Style[
            StringJoin["t = ", 
             ToString[
              Part[$CellContext`time, $CellContext`t$$]], "\nx = ", 
             ToString[
              Part[$CellContext`dipole, $CellContext`t$$, 1]], "\ny = ", 
             ToString[-Part[$CellContext`dipole, $CellContext`t$$, 2]]], 
            FontFamily -> "Courier", TextAlignment -> Left, Bold], {-1.4, 
           1.5}]}], PlotRange -> {{-2, 2}, {-2, 2}}, Axes -> True, 
        Prolog -> {
          Thickness[0.003], Gray, 
          Line[
           Part[$CellContext`dipole, 
            Span[1, $CellContext`t$$]]]}, Ticks -> {
          Table[$CellContext`i, {$CellContext`i, -2, 2, 1}], 
          
          Table[{$CellContext`i, -$CellContext`i}, {$CellContext`i, -2, 2, 
            1}]}], "Specifications" :> {{{$CellContext`t$$, 1, "Time"}, 1, 83,
          1, AnimationRate -> 20, AnimationRunning -> False, 
         AnimationRepetitions -> 1, 
         AppearanceElements -> {
          "ProgressSlider", "PlayPauseButton", "FasterSlowerButtons", 
           "DirectionButton"}}}, 
      "Options" :> {
       ControlType -> Animator, AppearanceElements -> None, 
        SynchronousUpdating -> True, ShrinkingDelay -> 10.}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{403., {216.34375, 221.65625}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.4762194648269787`*^9, {3.476219496581925*^9, 3.476219574125581*^9}, 
   3.4762196419662724`*^9, {3.476220180309577*^9, 3.4762201896215353`*^9}, 
   3.4762204670619907`*^9, 3.476241988473428*^9, 3.476242025187471*^9, {
   3.476285320100629*^9, 3.4762853250174437`*^9}, {3.47628625622077*^9, 
   3.476286261731845*^9}, {3.4762863054821377`*^9, 3.476286426230294*^9}, {
   3.476286597577921*^9, 3.476286598649685*^9}, {3.4762866302386427`*^9, 
   3.476286700020554*^9}, {3.476287258070614*^9, 3.476287259726437*^9}, {
   3.476287316742688*^9, 3.476287386482079*^9}, {3.476287505195463*^9, 
   3.476287510558948*^9}, {3.476287542580112*^9, 3.4762875587104073`*^9}, {
   3.476288056852729*^9, 3.4762880819861097`*^9}, {3.476288127530655*^9, 
   3.476288130153204*^9}, {3.476288216700212*^9, 3.476288234347796*^9}, {
   3.4762883420558233`*^9, 3.476288363735355*^9}, {3.476288421949623*^9, 
   3.47628843754261*^9}, {3.476288476541147*^9, 3.476288479463663*^9}, {
   3.4762885286845818`*^9, 3.4762885314462442`*^9}, {3.476288579866555*^9, 
   3.47628858302626*^9}, {3.4762887247592688`*^9, 3.476288773882256*^9}, {
   3.4762888491689863`*^9, 3.476288855686365*^9}, {3.4762888873160954`*^9, 
   3.476288888550511*^9}, {3.476289159216339*^9, 3.4762891686934958`*^9}, {
   3.476289681781665*^9, 3.476289734451589*^9}, {3.476289939760304*^9, 
   3.476289993017952*^9}, 3.47629033077512*^9, {3.4762904523686237`*^9, 
   3.4762905077962627`*^9}, {3.476290564270341*^9, 3.476290577023115*^9}, {
   3.476290628910261*^9, 3.476290673857437*^9}, {3.476290754227124*^9, 
   3.476290764013186*^9}, {3.476298267820324*^9, 3.476298270527133*^9}, {
   3.476298300566153*^9, 3.4762983091342773`*^9}, {3.476298471714911*^9, 
   3.4762985076508007`*^9}, {3.476298555682022*^9, 3.476298567147956*^9}, {
   3.476298708297298*^9, 3.476298722305869*^9}, {3.476298999441668*^9, 
   3.476299005413672*^9}, {3.47638460378924*^9, 3.476384611680892*^9}, {
   3.476384687738401*^9, 3.476384688089756*^9}, {3.476384999366228*^9, 
   3.4763850666689663`*^9}, {3.476385109568385*^9, 3.476385142639914*^9}, {
   3.4763851869182873`*^9, 3.476385188552064*^9}, {3.476387047341796*^9, 
   3.476387050308628*^9}, 3.4763870865657587`*^9, {3.476387262900387*^9, 
   3.476387267299494*^9}, {3.4763873095222197`*^9, 3.476387313874626*^9}, {
   3.476387363297928*^9, 3.476387365384131*^9}, {3.476387466072813*^9, 
   3.476387470665709*^9}, {3.476443708249857*^9, 3.476443719040785*^9}, {
   3.4764459326508827`*^9, 3.4764459367920094`*^9}, 3.476445986833584*^9, {
   3.476446018439804*^9, 3.476446021055294*^9}}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1280, 705},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"7.0 for Mac OS X x86 (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 96, 1, 76, "Title"],
Cell[CellGroupData[{
Cell[688, 27, 98, 1, 67, "Section"],
Cell[789, 30, 1155, 26, 58, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1981, 61, 96, 1, 67, "Section"],
Cell[CellGroupData[{
Cell[2102, 66, 4913, 109, 118, "Input"],
Cell[7018, 177, 5347, 96, 455, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
